/*,   		AT90S8515
  0     ,     . 
        . 
, , / /1.
   CS10-CS12  TCCR1B      
   .   1024,    0b101 
  5.
 ,       4  
   TCNT1     1024 / 4000000 = 0,000256 . 
,      ,     
 1 / 0,000256 = 3906 .    16    
   65535 (0xFFFF),      65536-3906.*/

#include <avr/io.h>
#include <avr/interrupt.h>  //    sei() 
#include <avr/signal.h>   //    INTERRUPT 

#define Freq 4000000      //    
ISR(TIMER1_OVF_vect)  //   
{	//  /1
	//    61630
	TCNT1 = 0x10000 - (Freq / 1024);
	PORTB ^= 0x01;  //   0  
}

int main (void)
{
	DDRB = 0x01; 	// 0    
	TCCR1A = 0;  	///1    1,   
	TCCR1B = 5;  	//   
					// = 1024
	//    61630
	TCNT1 = 0x10000 - (Freq / 1024);
	TIFR = 0;       //     /1
	TIMSK = 0x80;  	//    /1
	GIMSK = 0;     	//  
	sei();         	//  
	while(1) ;     //   /1  
}
